Skip to main content
`Ctrl`+`K`

# KSPPythonGetType

Get the type of a `KSP` object implemented in Python.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPPythonGetType(KSP ksp, const char *pyname[])

Not Collective

## Input Parameter

- ksp - the linear solver `KSP` context.

## Output Parameter

- pyname - full dotted Python name [package].module[.{class|function}]

## See Also

KSP: Linear System Solvers, `KSPCreate()`, `KSPSetType()`, `KSPPYTHON`, `PetscPythonInitialize()`, `KSPPythonSetType()`

## Level

intermediate

## Location

src/ksp/ksp/impls/python/pythonksp.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages